# 3. CAD Design 

This week we are focused on exploring different design tools including the following:

I had used Fusion 360 and Coral draw in the past and so decide to explore some more tools. 

In particular

2D Raster - GIMP 
2D Vector - Cuttle 
3D CAD - Free CAD

Evaluate and select 2D and 3D software
Demonstrate and describe processes used in modelling with 2D and 3D software
Have you answered these questions?
Modelled experimental objects/part of a possible project in 2D and 3D software
Shown how you did it with words/images/screenshots
Included your original design files



## Cuttle 

Sign up was very straight forward.

![sign up](../images/ImagW2/GraphicApps/1signup.jpg)

I started off the the simple tutorial. 

[Link to Cuttle tutorials](https://cuttle.xyz/learn/video-tutorials)

![Tutorial](../images/ImagW2/GraphicApps/2tutorial.jpg){: style="height:300px;width:450px"}


It started off as a simple shape set up but pretty quickly some nice features came up 
that made me take smile. 

1. Very easy snapping shaped to each other which is no unique but easy to use 


2. The rotational repeat very intuitive way to create patterns 

![Pattern](../images/ImagW2/GraphicApps/3utorial.jpg)
3. On the right side you see a block based list of your shapes and so it is very straight forward 
to move items between group 

4. I got a rotational pattern going on a shape but then added a circle, it was 2 clicks to create a group 
add the two shapes to the group and drag the pattern repeat on to the the group. I really appriciated the 
ability to see how a design looks and move then back and forth without the need to redo the whole process 

![Moving](../images/ImagW2/GraphicApps/4tutorial.jpg)

Overall I found this tool very easy to create pattern shapes

![Shape](../images/ImagW2/GraphicApps/5tutorial.jpg)

I exported the file as SVG which was easily found as that is a file type most lasers can use

![Export](../images/ImagW2/GraphicApps/6SVGEXPORT.jpg)

I started to explore the parametric design elements including variables and constrainers 

![Para](../images/ImagW2/GraphicApps/61para.jpg)

Added more parameters including thickness, legalize and angle. This UI continue to be super easy 
drag and drop type dynamic. 

The ability to easily create variable and interconnect them to shapes in a very intuitive UI is 
very powerful

![More para](../images/ImagW2/GraphicApps/62para.jpg)



**Conclusion** - compared to CorelDraw (that I use a good amount) I find Cuttle to be simple to use with
 some very good functionality. For 2D work focused on laser cutting

Cuttle maybe a new top contender in my toolbox!



## GIMP 


I was excited to try this as it has been many years since I work with a raster based application. 

[Install link](https://www.gimp.org/downloads/)

-------------------
![Install](../images/ImagW2/GraphicApps/7GIMPINSTALL.jpg){: style="height:150px;width:300px"}  ![Install](../images/ImagW2/GraphicApps/8GIMPINSTALL.jpg){: style="height:150px;width:300px"}
------------------


Next I downloaded a image and start my first tutorial 

[GIMP Tutorial](https://www.gimp.org/tutorials/GIMP_Quickies/)

Basic operation seem straight forward such as resizing an image

![resize](../images/ImagW2/GraphicApps/9gimpsize.jpg)

Followed by a slew of other basic command such as export, crop, select etc. 

All pretty straight forward. 

Next I moved over to another tutorial that was suggest by our Lab.

[GIMP Tutorial #2](https://www.gimp.org/tutorials/Floating_Logo/)

We learned how to work with layers which seems in line with other programs 

![layers](../images/ImagW2/GraphicApps/10gimplayers.jpg)

I added a offset layer to create a shadow, used multiple filter and then  exported the final image:

![logo](../images/ImagW2/GraphicApps/12gimplogo.jpg)


**Conclusion** - GIMP seems pretty straight forward, not as intuitive as cuttle but provide a lot 
of flexibility working with pictures at a great price.


## FreeCAD

I had done a good amount of tutorials in Fusion360 in Fab Academy prep weeks and 
so I was very excited to try FreeCad

[Install](https://www.freecad.org/downloads.php)

It is a big file to download and install 

Ran through the tutorials 

![Setting](../images/ImagW2/GraphicApps/21freecadsetting.jpg)


![Setting](../images/ImagW2/GraphicApps/21freecadsetting.jpg)

Now opened a new design and getting ready for my first sketch

![Sketch](../images/ImagW2/GraphicApps/22sketch.jpg)

and some more sketch
![Sketch](../images/ImagW2/GraphicApps/23sketch2.jpg)


Now I am moving on to part workspace with a tutorial where we will make the 
following:

![Tutorial2](../images/ImagW2/GraphicApps/24tutorial2.jpg)

First fully constrained sketch as base shape 

![Base shape](../images/ImagW2/GraphicApps/25baseshape.jpg)

Step by step we went through sketching, padding (extruding), pocketing (cutting), filleting


![Bracket](../images/ImagW2/GraphicApps/25pocket.jpg)
![Bracket](../images/ImagW2/GraphicApps/25pocket2.jpg)
![Bracket](../images/ImagW2/GraphicApps/25pad2.jpg)
![Bracket](../images/ImagW2/GraphicApps/25filet.jpg)

and we have the final bracket done!

![Bracket](../images/ImagW2/GraphicApps/26bracket.jpg)

**Conclusion:** - I like free cad a lot! I find the left side model navigation a lot easier 
to navigate vs. the timeline in fusion 360. I am going to try and make the base plate for 
my Vegtable Washing Machine in both and see how the process compares!

## Here we go....head to head...... Fusion360 vs. FreeCad 


**Free CAD**

The total dimension for the VWM is 35 cm wide, 45 cm deep, and 35 cm high 

![layout](../images/ImagW2/GraphicApps/31vwmlayout.jpg)